ORIGIN		= Digital Mars C++
ORIGIN_VER	= Version 7.22
VERSION		= DEBUG

!IFDEF SUB_DEBUG
DEBUG		= $(SUB_DEBUG)
NDEBUG		= !$(SUB_DEBUG)
!ELSE
DEBUG		= 1
NDEBUG		= 0
!ENDIF

PROJ		= snndcpp
APPTYPE		= WIN32 LIB
PROJTYPE	= LIB

CC		= SC
CPP		= SPP
JAVAC		= sj
MAKE		= SMAKE
RC		= RCC
HC		= HC31
ASM		= SC
DISASM		= OBJ2ASM
LNK		= LINK
DLLS		= 

HEADERS		= ..\INCLUDE\mt.h ..\INCLUDE\ehsup.h ..\heap32\heap.h  \
		..\heap32\pool.h ..\..\INCLUDE\rtlheap.h ..\ios\filesys.h ..\heap32\multpool.h  \
		..\..\INCLUDE\typeinfo.h 

DEFFILE		= snndcpp.DEF

!IF $(DEBUG)
OUTPUTDIR	= snndcpp
!IF EXIST (snndcpp)
CREATEOUTPUTDIR	=
!ELSE
CREATEOUTPUTDIR	= if not exist $(OUTPUTDIR)\*.* md $(OUTPUTDIR)
!ENDIF
TARGETDIR	= .
CREATETARGETDIR	=

SYMROOT		=  snndcpp\precomp 
SYMS		= $(SYMROOT).SYM 
LIBS		= 

CFLAGS		=  -cpp -HIprecomp.h -Ae -Ar -r -mn -S -NL -5 -a8 -c -H -HDsnndcpp -HO- -wx -w- -w12 -gf 
CFLAGS_1	=  -cpp -Ae -Ar -Aa -r -mn -S -NL -5 -a8 -c -wx -w- -w12 -gf
DEFINES_1	= -D_MT -D_DEBUG -D_CRTBLD -D_MBCS=1
CFLAGS_2	=  -cpp -Ae -Ar -Aa -r -mn -S -NL -5 -a8 -c -wx -w- -w12 -gf
DEFINES_2	= -D_MT -D_DEBUG -D_CRTBLD -D_MBCS=1
CFLAGS_3	=  -cpp -Ae -Ar -Aa -r -mn -S -NL -5 -a8 -c -wx -w- -w12 -gf
DEFINES_3	= -D_MT -D_DEBUG -D_CRTBLD -D_MBCS=1
LFLAGS		=  /CO /NOI /DE /A:512
DEFINES		= -D_MT -D_DEBUG -D_CRTBLD -D_MBCS=1
!ELSE
OUTPUTDIR	= .
CREATEOUTPUTDIR	=
TARGETDIR	= .
CREATETARGETDIR	=

SYMROOT		= 
SYMS		= 
LIBS		= 

CFLAGS		=  -mn -o+time -D_WINDOWS -3 -a8 -c 
CFLAGS_1	=  -mn -o+time -D_WINDOWS -3 -a8 -c
DEFINES_1	= -D_MBCS=1
CFLAGS_2	=  -mn -o+time -D_WINDOWS -3 -a8 -c
DEFINES_2	= -D_MBCS=1
CFLAGS_3	=  -mn -o+time -D_WINDOWS -3 -a8 -c
DEFINES_3	= -D_MBCS=1
LFLAGS		=  /NOI /DE /E /PACKF /A:512
DEFINES		= -D_MBCS=1
!ENDIF

HFLAGS		= $(CFLAGS) 
MFLAGS		= MASTERPROJ=$(PROJ) 
LIBFLAGS	=  /C /NOI 
RESFLAGS	=  -32 
DEBUGGERFLAGS	=  
AFLAGS		= $(CFLAGS) 
HELPFLAGS	= 

MODEL		= N

PAR		= PROJS BATS OBJS

RCDEFINES	= 

INCLUDES	= -I..\INCLUDE -I..\..\INCLUDE

INCLUDEDOBJS	= 

OBJS		=  $(OUTPUTDIR)\vector.OBJ  $(OUTPUTDIR)\vecnew.OBJ  $(OUTPUTDIR)\typeinfo.OBJ  \
		 $(OUTPUTDIR)\strstrea.OBJ  $(OUTPUTDIR)\streambf.OBJ  $(OUTPUTDIR)\stream.OBJ  $(OUTPUTDIR)\stdiostr.OBJ  \
		 $(OUTPUTDIR)\siosync.OBJ  $(OUTPUTDIR)\rtti.OBJ  $(OUTPUTDIR)\pool.OBJ  $(OUTPUTDIR)\ostreamx.OBJ  \
		 $(OUTPUTDIR)\ostreami.OBJ  $(OUTPUTDIR)\ostreamf.OBJ  $(OUTPUTDIR)\ostream.OBJ  $(OUTPUTDIR)\multpool.OBJ  \
		 $(OUTPUTDIR)\manip.OBJ  $(OUTPUTDIR)\istreamx.OBJ  $(OUTPUTDIR)\istreami.OBJ  $(OUTPUTDIR)\istreamf.OBJ  \
		 $(OUTPUTDIR)\istream.OBJ  $(OUTPUTDIR)\iostream.OBJ  $(OUTPUTDIR)\ios.OBJ  $(OUTPUTDIR)\heapinit.OBJ  \
		 $(OUTPUTDIR)\heap.OBJ  $(OUTPUTDIR)\generr.OBJ  $(OUTPUTDIR)\fstream.OBJ  $(OUTPUTDIR)\except.OBJ  \
		 $(OUTPUTDIR)\ehdata.OBJ  $(OUTPUTDIR)\dbp.OBJ  $(OUTPUTDIR)\ctrig.OBJ  $(OUTPUTDIR)\cstrm.OBJ  \
		 $(OUTPUTDIR)\corenew.OBJ  $(OUTPUTDIR)\coperat.OBJ  $(OUTPUTDIR)\complex.OBJ  $(OUTPUTDIR)\_newnear.OBJ  \
		 $(OUTPUTDIR)\_new2.OBJ  $(OUTPUTDIR)\_new.OBJ  $(OUTPUTDIR)\_handler.OBJ  $(OUTPUTDIR)\_delnear.OBJ  \
		 $(OUTPUTDIR)\adelete.OBJ  $(OUTPUTDIR)\anew.OBJ  $(OUTPUTDIR)\anew2.OBJ 

RCFILES		= 

RESFILES	= 

HELPFILES	= 

BATS		= 

.SUFFIXES: .C .CP .CPP .CXX .CC .H .HPP .HXX .COM .EXE .DLL .LIB .RTF .DLG .ASM .RES .RC .OBJ 

.C.OBJ:
	$(CC) $(CFLAGS) $(DEFINES) $(INCLUDES) -o$*.obj $*.c

.CPP.OBJ:
	$(CC) $(CFLAGS) $(DEFINES) $(INCLUDES) -o$*.obj $*.cpp

.CXX.OBJ:
	$(CC) $(CFLAGS) $(DEFINES) $(INCLUDES) -o$*.obj $*.cxx

.CC.OBJ:
	$(CC) $(CFLAGS) $(DEFINES) $(INCLUDES) -o$*.obj $*.cc

.CP.OBJ:
	$(CC) $(CFLAGS) $(DEFINES) $(INCLUDES) -o$*.obj $*.cp

.H.SYM:
	$(CC) $(HFLAGS) $(DEFINES) $(INCLUDES) -HF -osnndcpp\$(*B).sym $*.h

.HPP.SYM:
	$(CC) $(HFLAGS) $(DEFINES) $(INCLUDES) -HF -osnndcpp\$(*B).sym $*.hpp

.HXX.SYM:
	$(CC) $(HFLAGS) $(DEFINES) $(INCLUDES) -HF -osnndcpp\$(*B).sym $*.hxx

.C.EXP:
	$(CPP) $(CFLAGS) $(DEFINES) $(INCLUDES)   $*.c   -o$*.lst

.CPP.EXP:
	$(CPP) $(CFLAGS) $(DEFINES) $(INCLUDES) $*.cpp -o$*.lst

.CXX.EXP:
	$(CPP) $(CFLAGS) $(DEFINES) $(INCLUDES) $*.cxx -o$*.lst

.CP.EXP:
	$(CPP) $(CFLAGS) $(DEFINES) $(INCLUDES)  $*.cp  -o$*.lst

.CC.EXP:
	$(CPP) $(CFLAGS) $(DEFINES) $(INCLUDES)  $*.cc  -o$*.lst

.ASM.EXP:
	$(CPP) $(CFLAGS) $(DEFINES) $(INCLUDES) $*.asm -o$*.lst

.OBJ.COD:
	$(DISASM) $*.OBJ -c

!IF $(DEBUG)
.OBJ.EXE:
		$(LNK) $(LFLAGS) @<<$(PROJ).LNK
snndcpp\precomp.PCO+
snndcpp\vector.OBJ+
snndcpp\vecnew.OBJ+
snndcpp\typeinfo.OBJ+
snndcpp\strstrea.OBJ+
snndcpp\streambf.OBJ+
snndcpp\stream.OBJ+
snndcpp\stdiostr.OBJ+
snndcpp\siosync.OBJ+
snndcpp\rtti.OBJ+
snndcpp\pool.OBJ+
snndcpp\ostreamx.OBJ+
snndcpp\ostreami.OBJ+
snndcpp\ostreamf.OBJ+
snndcpp\ostream.OBJ+
snndcpp\multpool.OBJ+
snndcpp\manip.OBJ+
snndcpp\istreamx.OBJ+
snndcpp\istreami.OBJ+
snndcpp\istreamf.OBJ+
snndcpp\istream.OBJ+
snndcpp\iostream.OBJ+
snndcpp\ios.OBJ+
snndcpp\heapinit.OBJ+
snndcpp\heap.OBJ+
snndcpp\generr.OBJ+
snndcpp\fstream.OBJ+
snndcpp\except.OBJ+
snndcpp\ehdata.OBJ+
snndcpp\dbp.OBJ+
snndcpp\ctrig.OBJ+
snndcpp\cstrm.OBJ+
snndcpp\corenew.OBJ+
snndcpp\coperat.OBJ+
snndcpp\complex.OBJ+
snndcpp\_newnear.OBJ+
snndcpp\_new2.OBJ+
snndcpp\_new.OBJ+
snndcpp\_handler.OBJ+
snndcpp\_delnear.OBJ+
snndcpp\adelete.OBJ+
snndcpp\anew.OBJ+
snndcpp\anew2.OBJ
$$SCW$$.LIB
NUL

snndcpp.DEF;
<<
!ELSE
.OBJ.EXE:
		$(LNK) $(LFLAGS) @$(PROJ).LNK<<
..\core\vector.OBJ+
..\core\vecnew.OBJ+
..\core\typeinfo.OBJ+
..\ios\strstrea.OBJ+
..\ios\streambf.OBJ+
..\ios\stream.OBJ+
..\ios\stdiostr.OBJ+
..\ios\siosync.OBJ+
..\core\rtti.OBJ+
..\heap32\pool.OBJ+
..\ios\ostreamx.OBJ+
..\ios\ostreami.OBJ+
..\ios\ostreamf.OBJ+
..\ios\ostream.OBJ+
..\heap32\multpool.OBJ+
..\ios\manip.OBJ+
..\ios\istreamx.OBJ+
..\ios\istreami.OBJ+
..\ios\istreamf.OBJ+
..\ios\istream.OBJ+
..\ios\iostream.OBJ+
..\ios\ios.OBJ+
..\heap32\heapinit.OBJ+
..\heap32\heap.OBJ+
..\ios\generr.OBJ+
..\ios\fstream.OBJ+
..\core\except.OBJ+
..\core\ehdata.OBJ+
..\ios\dbp.OBJ+
..\core\ctrig.OBJ+
..\core\cstrm.OBJ+
..\core\corenew.OBJ+
..\core\coperat.OBJ+
..\core\complex.OBJ+
..\core\_newnear.OBJ+
..\core\_new2.OBJ+
..\core\_new.OBJ+
..\core\_handler.OBJ+
..\core\_delnear.OBJ+
..\core\adelete.OBJ+
..\core\anew.OBJ+
..\core\anew2.OBJ
$$SCW$$.LIB
NUL

snndcpp.DEF;
<<
!ENDIF

.RTF.HLP:
	$(HC) $(HELPFLAGS) $*.HPJ

.ASM.OBJ:
	$(ASM) $(AFLAGS) $(DEFINES) $(INCLUDES) -o$*.obj $*.asm

.RC.RES: 
	$(RC) $(RCDEFINES) $(RESFLAGS) $(INCLUDES) $*.rc -o$*.res

.DLG.RES:
	echo ^#include "windows.h" >$$$*.rc
	echo ^IF EXIST "$*.h" >>$$$*.rc
	echo ^#include "$*.h" >>$$$*.rc
	echo ^#include "$*.dlg" >>$$$*.rc
	$(RC) $(RCDEFINES) $(RESFLAGS) $(INCLUDES) $$$*.rc
	-del $*.res
	-ren $$$*.res $*.res



all:	noteout createdir $(PRECOMPILE) $(SYMS) $(OBJS) $(INCLUDEDOBJS) $(POSTCOMPILE) $(TARGETDIR)\$(PROJ).$(PROJTYPE) $(POSTLINK) _done


all2:	createdir $(PRECOMPILE) $(SYMS) $(OBJS) $(INCLUDEDOBJS) $(POSTCOMPILE) $(TARGETDIR)\$(PROJ).$(PROJTYPE) $(POSTLINK) _done

noteout:
	REM Output to $(OUTPUTDIR)

createdir:
	$(CREATEOUTPUTDIR)
	$(CREATETARGETDIR)
	
$(TARGETDIR)\$(PROJ).$(PROJTYPE): $(SYMS) $(OBJS) $(INCLUDEDOBJS) $(RCFILES) $(RESFILES) $(HELPFILES) 
			-del $(TARGETDIR)\$(PROJ).$(PROJTYPE)
		LIB $(TARGETDIR)\$$SCW$$.$(PROJTYPE) $(LIBFLAGS)\
				@<<
 + $(OUTPUTDIR)\vector.OBJ + $(OUTPUTDIR)\vecnew.OBJ + $(OUTPUTDIR)\typeinfo.OBJ &
		 + $(OUTPUTDIR)\strstrea.OBJ + $(OUTPUTDIR)\streambf.OBJ + $(OUTPUTDIR)\stream.OBJ + $(OUTPUTDIR)\stdiostr.OBJ &
		 + $(OUTPUTDIR)\siosync.OBJ + $(OUTPUTDIR)\rtti.OBJ + $(OUTPUTDIR)\pool.OBJ + $(OUTPUTDIR)\ostreamx.OBJ &
		 + $(OUTPUTDIR)\ostreami.OBJ + $(OUTPUTDIR)\ostreamf.OBJ + $(OUTPUTDIR)\ostream.OBJ + $(OUTPUTDIR)\multpool.OBJ &
		 + $(OUTPUTDIR)\manip.OBJ + $(OUTPUTDIR)\istreamx.OBJ + $(OUTPUTDIR)\istreami.OBJ + $(OUTPUTDIR)\istreamf.OBJ &
		 + $(OUTPUTDIR)\istream.OBJ + $(OUTPUTDIR)\iostream.OBJ + $(OUTPUTDIR)\ios.OBJ + $(OUTPUTDIR)\heapinit.OBJ &
		 + $(OUTPUTDIR)\heap.OBJ + $(OUTPUTDIR)\generr.OBJ + $(OUTPUTDIR)\fstream.OBJ + $(OUTPUTDIR)\except.OBJ &
		 + $(OUTPUTDIR)\ehdata.OBJ + $(OUTPUTDIR)\dbp.OBJ + $(OUTPUTDIR)\ctrig.OBJ + $(OUTPUTDIR)\cstrm.OBJ &
		 + $(OUTPUTDIR)\corenew.OBJ + $(OUTPUTDIR)\coperat.OBJ + $(OUTPUTDIR)\complex.OBJ + $(OUTPUTDIR)\_newnear.OBJ &
		 + $(OUTPUTDIR)\_new2.OBJ + $(OUTPUTDIR)\_new.OBJ + $(OUTPUTDIR)\_handler.OBJ + $(OUTPUTDIR)\_delnear.OBJ &
		 + $(OUTPUTDIR)\adelete.OBJ + $(OUTPUTDIR)\anew.OBJ + $(OUTPUTDIR)\anew2.OBJ
<<
			-ren $(TARGETDIR)\$$SCW$$.$(PROJTYPE) $(PROJ).$(PROJTYPE)
			-echo $(TARGETDIR)\$(PROJ).$(PROJTYPE) built

_done:
		REM  Project is up to date

buildall:	clean	all


clean:
		-del $(TARGETDIR)\$$SCW$$.$(PROJTYPE)
		-del $(TARGETDIR)\$(PROJ).CLE
		-del $(OUTPUTDIR)\SCPH.SYM
		-del snndcpp.dpd
		-del $(OBJS)
		-del $(SYMROOT).SYM
		-del $(SYMROOT).PCO

cleanres:

res:		cleanres $(RCFILES) all


link:
		LIB $(TARGETDIR)\$$SCW$$.$(PROJTYPE) $(LIBFLAGS)\
				@<<
 + $(OUTPUTDIR)\vector.OBJ + $(OUTPUTDIR)\vecnew.OBJ + $(OUTPUTDIR)\typeinfo.OBJ &
		 + $(OUTPUTDIR)\strstrea.OBJ + $(OUTPUTDIR)\streambf.OBJ + $(OUTPUTDIR)\stream.OBJ + $(OUTPUTDIR)\stdiostr.OBJ &
		 + $(OUTPUTDIR)\siosync.OBJ + $(OUTPUTDIR)\rtti.OBJ + $(OUTPUTDIR)\pool.OBJ + $(OUTPUTDIR)\ostreamx.OBJ &
		 + $(OUTPUTDIR)\ostreami.OBJ + $(OUTPUTDIR)\ostreamf.OBJ + $(OUTPUTDIR)\ostream.OBJ + $(OUTPUTDIR)\multpool.OBJ &
		 + $(OUTPUTDIR)\manip.OBJ + $(OUTPUTDIR)\istreamx.OBJ + $(OUTPUTDIR)\istreami.OBJ + $(OUTPUTDIR)\istreamf.OBJ &
		 + $(OUTPUTDIR)\istream.OBJ + $(OUTPUTDIR)\iostream.OBJ + $(OUTPUTDIR)\ios.OBJ + $(OUTPUTDIR)\heapinit.OBJ &
		 + $(OUTPUTDIR)\heap.OBJ + $(OUTPUTDIR)\generr.OBJ + $(OUTPUTDIR)\fstream.OBJ + $(OUTPUTDIR)\except.OBJ &
		 + $(OUTPUTDIR)\ehdata.OBJ + $(OUTPUTDIR)\dbp.OBJ + $(OUTPUTDIR)\ctrig.OBJ + $(OUTPUTDIR)\cstrm.OBJ &
		 + $(OUTPUTDIR)\corenew.OBJ + $(OUTPUTDIR)\coperat.OBJ + $(OUTPUTDIR)\complex.OBJ + $(OUTPUTDIR)\_newnear.OBJ &
		 + $(OUTPUTDIR)\_new2.OBJ + $(OUTPUTDIR)\_new.OBJ + $(OUTPUTDIR)\_handler.OBJ + $(OUTPUTDIR)\_delnear.OBJ &
		 + $(OUTPUTDIR)\adelete.OBJ + $(OUTPUTDIR)\anew.OBJ + $(OUTPUTDIR)\anew2.OBJ
<<
		-del $(TARGETDIR)\$(PROJ).$(PROJTYPE)
		-ren $(TARGETDIR)\$$SCW$$.$(PROJTYPE) $(PROJ).$(PROJTYPE)




!IF EXIST (snndcpp.dpd)
!INCLUDE snndcpp.dpd
!ENDIF



$(OUTPUTDIR)\vector.OBJ:	..\core\vector.cpp
		$(CC) $(CFLAGS) $(DEFINES) $(INCLUDES) -o$(OUTPUTDIR)\vector.obj ..\core\vector.cpp



$(OUTPUTDIR)\vecnew.OBJ:	..\core\vecnew.cpp
		$(CC) $(CFLAGS) $(DEFINES) $(INCLUDES) -o$(OUTPUTDIR)\vecnew.obj ..\core\vecnew.cpp



$(OUTPUTDIR)\typeinfo.OBJ:	..\core\typeinfo.cpp
#		$(CC) -cpp -HIprecomp.h -Ae -Ar -S -NL -5 -c -HDsnndcpp -HO- -wx -w- -w12 $(DEFINES) $(INCLUDES) -o$(OUTPUTDIR)\typeinfo.obj ..\core\typeinfo.cpp
		$(CC) $(CFLAGS) $(DEFINES) $(INCLUDES) -o$(OUTPUTDIR)\typeinfo.obj ..\core\typeinfo.cpp



$(OUTPUTDIR)\strstrea.OBJ:	..\ios\strstrea.cpp
		$(CC) $(CFLAGS) $(DEFINES) $(INCLUDES) -o$(OUTPUTDIR)\strstrea.obj ..\ios\strstrea.cpp



$(OUTPUTDIR)\streambf.OBJ:	..\ios\streambf.cpp
		$(CC) $(CFLAGS) $(DEFINES) $(INCLUDES) -o$(OUTPUTDIR)\streambf.obj ..\ios\streambf.cpp



$(OUTPUTDIR)\stream.OBJ:	..\ios\stream.cpp
		$(CC) $(CFLAGS) $(DEFINES) $(INCLUDES) -o$(OUTPUTDIR)\stream.obj ..\ios\stream.cpp



$(OUTPUTDIR)\stdiostr.OBJ:	..\ios\stdiostr.cpp
		$(CC) $(CFLAGS) $(DEFINES) $(INCLUDES) -o$(OUTPUTDIR)\stdiostr.obj ..\ios\stdiostr.cpp



$(OUTPUTDIR)\siosync.OBJ:	..\ios\siosync.cpp
		$(CC) $(CFLAGS) $(DEFINES) $(INCLUDES) -o$(OUTPUTDIR)\siosync.obj ..\ios\siosync.cpp



$(OUTPUTDIR)\rtti.OBJ:	..\core\rtti.cpp
		$(CC) $(CFLAGS) $(DEFINES) $(INCLUDES) -o$(OUTPUTDIR)\rtti.obj ..\core\rtti.cpp



$(OUTPUTDIR)\pool.OBJ:	..\heap32\pool.cpp
		$(CC) $(CFLAGS) $(DEFINES) $(INCLUDES) -o$(OUTPUTDIR)\pool.obj ..\heap32\pool.cpp



$(OUTPUTDIR)\ostreamx.OBJ:	..\ios\ostreamx.cpp
		$(CC) $(CFLAGS) $(DEFINES) $(INCLUDES) -o$(OUTPUTDIR)\ostreamx.obj ..\ios\ostreamx.cpp



$(OUTPUTDIR)\ostreami.OBJ:	..\ios\ostreami.cpp
		$(CC) $(CFLAGS) $(DEFINES) $(INCLUDES) -o$(OUTPUTDIR)\ostreami.obj ..\ios\ostreami.cpp



$(OUTPUTDIR)\ostreamf.OBJ:	..\ios\ostreamf.cpp
		$(CC) $(CFLAGS) $(DEFINES) $(INCLUDES) -o$(OUTPUTDIR)\ostreamf.obj ..\ios\ostreamf.cpp



$(OUTPUTDIR)\ostream.OBJ:	..\ios\ostream.cpp
		$(CC) $(CFLAGS) $(DEFINES) $(INCLUDES) -o$(OUTPUTDIR)\ostream.obj ..\ios\ostream.cpp



$(OUTPUTDIR)\multpool.OBJ:	..\heap32\multpool.cpp
		$(CC) $(CFLAGS) $(DEFINES) $(INCLUDES) -o$(OUTPUTDIR)\multpool.obj ..\heap32\multpool.cpp



$(OUTPUTDIR)\manip.OBJ:	..\ios\manip.cpp
		$(CC) $(CFLAGS) $(DEFINES) $(INCLUDES) -o$(OUTPUTDIR)\manip.obj ..\ios\manip.cpp



$(OUTPUTDIR)\istreamx.OBJ:	..\ios\istreamx.cpp
		$(CC) $(CFLAGS) $(DEFINES) $(INCLUDES) -o$(OUTPUTDIR)\istreamx.obj ..\ios\istreamx.cpp



$(OUTPUTDIR)\istreami.OBJ:	..\ios\istreami.cpp
		$(CC) $(CFLAGS) $(DEFINES) $(INCLUDES) -o$(OUTPUTDIR)\istreami.obj ..\ios\istreami.cpp



$(OUTPUTDIR)\istreamf.OBJ:	..\ios\istreamf.cpp
		$(CC) $(CFLAGS) $(DEFINES) $(INCLUDES) -o$(OUTPUTDIR)\istreamf.obj ..\ios\istreamf.cpp



$(OUTPUTDIR)\istream.OBJ:	..\ios\istream.cpp
		$(CC) $(CFLAGS) $(DEFINES) $(INCLUDES) -o$(OUTPUTDIR)\istream.obj ..\ios\istream.cpp



$(OUTPUTDIR)\iostream.OBJ:	..\ios\iostream.cpp
		$(CC) $(CFLAGS) $(DEFINES) $(INCLUDES) -o$(OUTPUTDIR)\iostream.obj ..\ios\iostream.cpp



$(OUTPUTDIR)\ios.OBJ:	..\ios\ios.cpp
		$(CC) $(CFLAGS) $(DEFINES) $(INCLUDES) -o$(OUTPUTDIR)\ios.obj ..\ios\ios.cpp



$(OUTPUTDIR)\heapinit.OBJ:	..\heap32\heapinit.cpp
		$(CC) $(CFLAGS) $(DEFINES) $(INCLUDES) -o$(OUTPUTDIR)\heapinit.obj ..\heap32\heapinit.cpp



$(OUTPUTDIR)\heap.OBJ:	..\heap32\heap.cpp
		$(CC) $(CFLAGS) $(DEFINES) $(INCLUDES) -o$(OUTPUTDIR)\heap.obj ..\heap32\heap.cpp



$(OUTPUTDIR)\generr.OBJ:	..\ios\generr.cpp
		$(CC) $(CFLAGS) $(DEFINES) $(INCLUDES) -o$(OUTPUTDIR)\generr.obj ..\ios\generr.cpp



$(OUTPUTDIR)\fstream.OBJ:	..\ios\fstream.cpp
		$(CC) $(CFLAGS) $(DEFINES) $(INCLUDES) -o$(OUTPUTDIR)\fstream.obj ..\ios\fstream.cpp



$(OUTPUTDIR)\except.OBJ:	..\core\except.cpp
		$(CC) $(CFLAGS) $(DEFINES) $(INCLUDES) -o$(OUTPUTDIR)\except.obj ..\core\except.cpp



$(OUTPUTDIR)\ehdata.OBJ:	..\core\ehdata.cpp
		$(CC) $(CFLAGS) $(DEFINES) $(INCLUDES) -o$(OUTPUTDIR)\ehdata.obj ..\core\ehdata.cpp



$(OUTPUTDIR)\dbp.OBJ:	..\ios\dbp.cpp
		$(CC) $(CFLAGS) $(DEFINES) $(INCLUDES) -o$(OUTPUTDIR)\dbp.obj ..\ios\dbp.cpp



$(OUTPUTDIR)\ctrig.OBJ:	..\core\ctrig.cpp
		$(CC) $(CFLAGS) $(DEFINES) $(INCLUDES) -o$(OUTPUTDIR)\ctrig.obj ..\core\ctrig.cpp



$(OUTPUTDIR)\cstrm.OBJ:	..\core\cstrm.cpp
		$(CC) $(CFLAGS) $(DEFINES) $(INCLUDES) -o$(OUTPUTDIR)\cstrm.obj ..\core\cstrm.cpp



$(OUTPUTDIR)\corenew.OBJ:	..\core\corenew.cpp
		$(CC) $(CFLAGS) $(DEFINES) $(INCLUDES) -o$(OUTPUTDIR)\corenew.obj ..\core\corenew.cpp



$(OUTPUTDIR)\coperat.OBJ:	..\core\coperat.cpp
		$(CC) $(CFLAGS) $(DEFINES) $(INCLUDES) -o$(OUTPUTDIR)\coperat.obj ..\core\coperat.cpp



$(OUTPUTDIR)\complex.OBJ:	..\core\complex.cpp
		$(CC) $(CFLAGS) $(DEFINES) $(INCLUDES) -o$(OUTPUTDIR)\complex.obj ..\core\complex.cpp



$(OUTPUTDIR)\_newnear.OBJ:	..\core\_newnear.cpp
		$(CC) $(CFLAGS) $(DEFINES) $(INCLUDES) -o$(OUTPUTDIR)\_newnear.obj ..\core\_newnear.cpp



$(OUTPUTDIR)\_new2.OBJ:	..\core\_new2.cpp
		$(CC) $(CFLAGS) $(DEFINES) $(INCLUDES) -o$(OUTPUTDIR)\_new2.obj ..\core\_new2.cpp



$(OUTPUTDIR)\_new.OBJ:	..\core\_new.cpp
		$(CC) $(CFLAGS) $(DEFINES) $(INCLUDES) -o$(OUTPUTDIR)\_new.obj ..\core\_new.cpp



$(OUTPUTDIR)\_handler.OBJ:	..\core\_handler.cpp
		$(CC) $(CFLAGS) $(DEFINES) $(INCLUDES) -o$(OUTPUTDIR)\_handler.obj ..\core\_handler.cpp



$(OUTPUTDIR)\_delnear.OBJ:	..\core\_delnear.cpp
		$(CC) $(CFLAGS) $(DEFINES) $(INCLUDES) -o$(OUTPUTDIR)\_delnear.obj ..\core\_delnear.cpp



$(OUTPUTDIR)\adelete.OBJ:	..\core\adelete.cpp
		$(CC) $(CFLAGS_3) $(DEFINES_3) $(INCLUDES) -o$(OUTPUTDIR)\adelete.obj ..\core\adelete.cpp



$(OUTPUTDIR)\anew.OBJ:	..\core\anew.cpp
		$(CC) $(CFLAGS_2) $(DEFINES_2) $(INCLUDES) -o$(OUTPUTDIR)\anew.obj ..\core\anew.cpp



$(OUTPUTDIR)\anew2.OBJ:	..\core\anew2.cpp
		$(CC) $(CFLAGS_1) $(DEFINES_1) $(INCLUDES) -o$(OUTPUTDIR)\anew2.obj ..\core\anew2.cpp


$(SYMROOT).SYM: ..\include\precomp.h
	$(CC) $(HFLAGS) $(DEFINES) $(INCLUDES) -HF$(SYMROOT).SYM -o$(SYMROOT).PCO ..\include\precomp.h



